Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface CertPathBuilderParametersSpi

All Superinterfaces:
  CertPathParameters, Cloneable

public interface CertPathBuilderParametersSpi
extends CertPathParameters

This class contains the CertPathParameters that the CLV framework passes to the provider's JDK CertPathBuilderSpi implementation. They are used to look up and validate certificate chains.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Object` | `clone()` This interface is not cloneable.
`CertPathProvider` | `getCertPathProvider()` Gets the provider's weblogic runtime implementation object that includes the state necessary for the provider's JKD implementation object to look up and validate the `CertPath`.
`CertPathSelector` | `getCertPathSelector()` Gets the `CertPathSelector` that holds the selection criteria for finding the `CertPath`.
`ContextHandler` | `getContext()` Gets a `ContextHandler` that may pass in extra parameters that can be used for building and validating the `CertPath`.
`X509Certificate[]` | `getTrustedCAs()` Gets a list of trusted certificate authorities that may be used for building and validating the `CertPath`.

Method Detail

### clone

    public Object clone()

  This interface is not cloneable.

  Specified by:
    `clone` in interface `CertPathParameters`
  Throws:
    `UnsupportedOperationException` - when called.

### getCertPathProvider

    public CertPathProvider getCertPathProvider()

  Gets the provider's weblogic runtime implementation object that includes the state necessary for the provider's JKD implementation object to look up and validate the `CertPath`.

  Returns:
    The CertPathBuilder's runtime implementation as a `CertPathProvider`.

### getCertPathSelector

    public CertPathSelector getCertPathSelector()

  Gets the `CertPathSelector` that holds the selection criteria for finding the `CertPath`.

  Returns:
    a `CertPathSelector`

### getContext

    public ContextHandler getContext()

  Gets a `ContextHandler` that may pass in extra parameters that can be used for building and validating the `CertPath`.

  Returns:
    a `ContextHandler`, may be null.

### getTrustedCAs

    public X509Certificate[] getTrustedCAs()

  Gets a list of trusted certificate authorities that may be used for building and validating the `CertPath`.

  Returns:
    a `X509Certificate[]` containing the trusted certificate authorities, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD